> For the complete documentation index, see [llms.txt](https://docs.strike.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.strike.org/strike.js/api-methods/stoken.md).

# sToken

Makes a request to the STokenService API. The sToken API retrieves information about sToken contract interaction. For more details, see the Strike API documentation.

* `options` (object) A JavaScript object of API request parameters.
* `RETURN` (object) Returns the HTTP response body or error.

```
(async function() {
  const sEthData = await Strike.api.sToken({
    "addresses": Strike.util.getAddress(Strike.sETH)
  });

  console.log('sEthData', sEthData); // JavaScript Object
})().catch(console.error);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.strike.org/strike.js/api-methods/stoken.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
